Bug 12524 - source3/rpc_server/rpc_modules.c is in more than one subsystem of target 'smbd/smbd'
source3/rpc_server/rpc_modules.c is in more than one subsystem of target 'smb...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-17 16:17 UTC by Ralph Böhme
Modified: 2017-02-13 15:38 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.5 cherry-picked from master (2.39 KB, patch)
2017-01-31 06:04 UTC, Ralph Böhme
asn: review+
Details
Patch for 4.6 cherry-picked from master (2.39 KB, patch)
2017-01-31 06:04 UTC, Ralph Böhme
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-01-17 16:17:29 UTC
The source file rpc_modules.c was used in two places which lead to the following build error when configuring with --nonshared-binary=smbd/smbd:

  ERROR: source source3/rpc_server/rpc_modules.c is in more than one
  subsystem of target 'smbd/smbd': ['RPC_SERVICE', 'MDSSD']

Patch to follow...
Comment 1 Ralph Böhme 2017-01-31 06:04:05 UTC
Created attachment 12871 [details]
Patch for 4.5 cherry-picked from master
Comment 2 Ralph Böhme 2017-01-31 06:04:36 UTC
Created attachment 12872 [details]
Patch for 4.6 cherry-picked from master
Comment 3 Andreas Schneider 2017-01-31 08:49:22 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 4 Karolin Seeger 2017-02-01 11:49:44 UTC
(In reply to Andreas Schneider from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-02-13 15:38:19 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!